/* Estiliza toda a barra de rolagem */
::-webkit-scrollbar {
    width: 10px;
    /* Largura da barra de rolagem */
}

/* Estiliza a parte interna da barra (a track) */
::-webkit-scrollbar-track {
    background-color: #050b18;
    /* Cor azul escuro para a track */
    border-radius: 10px;
}

/* Estilo padrão do polegar */
::-webkit-scrollbar-thumb {
    background: linear-gradient(to bottom, #ffb500, #ffcd00);
    border-radius: 10px;
    border: 2px solid #050b18;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
    transition: background-color 0.3s, transform 0.3s, box-shadow 0.3s;
    /* Transição suave para o efeito de hover */
}

/* Efeito de hover no polegar */
::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(to bottom, #af7e00, #8b7000);
    /* Altera o gradiente para uma cor mais intensa ao passar o mouse */
}